Skip to main content
POST
/
extern
/
svr
/
{accountTypeId}
/
account
/
{accountId}
/
intent
/
{intentId}
/
quote
/
withdraw
Configure session as a withdraw and return calldata
curl --request POST \
  --url https://{host}/extern/svr/{accountTypeId}/account/{accountId}/intent/{intentId}/quote/withdraw \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "destinationChainId": "<string>",
  "amount": "<string>"
}
'
{
  "status": "<string>",
  "data": {
    "intentId": "<string>",
    "expiresAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "externalRef": "<string>",
    "requestParams": "<unknown>",
    "quoteSummary": "<unknown>",
    "lockedAt": "2023-11-07T05:31:56Z",
    "lockedBy": "<string>",
    "txHashes": [
      "<string>"
    ],
    "chainIds": [
      123
    ],
    "settledAt": "2023-11-07T05:31:56Z",
    "errorMessage": "<string>",
    "payload": "<unknown>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.blend.money/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Server-to-server API key

Path Parameters

accountTypeId
string
required
accountId
string<uuid>
required
intentId
string<uuid>
required

Body

application/json
destinationChainId
required
amount
string
required
Pattern: ^(?:0|[1-9]\d*)$
isMaxWithdraw
boolean
default:false

Response

Success

status
string
required
Allowed value: "success"
data
object
required
Last modified on May 29, 2026